export async function waitForEvent(fn, timeout = 5000) {
    return new Promise((resolve, reject) => {
        const timeoutId = setTimeout(() => {
            resolve(false);
        }, timeout);
        try {
            fn((value) => {
                clearTimeout(timeoutId);
                resolve(value);
            }, (error) => {
                clearTimeout(timeoutId);
                reject(error);
            });
        }
        catch (error) {
            clearTimeout(timeoutId);
            reject(error);
        }
    });
}
